# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['pyconn',
 'pyconn.client',
 'pyconn.client.db',
 'pyconn.client.lake',
 'pyconn.constant',
 'pyconn.errors',
 'pyconn.model',
 'pyconn.ops',
 'pyconn.ops.io',
 'pyconn.ops.sync',
 'pyconn.utils']

package_data = \
{'': ['*'],
 'pyconn': ['.git/*',
            '.git/hooks/*',
            '.git/info/*',
            '.git/logs/*',
            '.git/logs/refs/heads/*',
            '.git/logs/refs/remotes/origin/*',
            '.git/objects/05/*',
            '.git/objects/06/*',
            '.git/objects/09/*',
            '.git/objects/0b/*',
            '.git/objects/0d/*',
            '.git/objects/13/*',
            '.git/objects/17/*',
            '.git/objects/18/*',
            '.git/objects/1a/*',
            '.git/objects/1d/*',
            '.git/objects/1e/*',
            '.git/objects/21/*',
            '.git/objects/24/*',
            '.git/objects/26/*',
            '.git/objects/27/*',
            '.git/objects/28/*',
            '.git/objects/2c/*',
            '.git/objects/2d/*',
            '.git/objects/2e/*',
            '.git/objects/30/*',
            '.git/objects/31/*',
            '.git/objects/32/*',
            '.git/objects/34/*',
            '.git/objects/35/*',
            '.git/objects/38/*',
            '.git/objects/3a/*',
            '.git/objects/3c/*',
            '.git/objects/3e/*',
            '.git/objects/3f/*',
            '.git/objects/42/*',
            '.git/objects/46/*',
            '.git/objects/47/*',
            '.git/objects/48/*',
            '.git/objects/49/*',
            '.git/objects/4b/*',
            '.git/objects/4c/*',
            '.git/objects/4e/*',
            '.git/objects/4f/*',
            '.git/objects/50/*',
            '.git/objects/52/*',
            '.git/objects/54/*',
            '.git/objects/59/*',
            '.git/objects/5a/*',
            '.git/objects/5b/*',
            '.git/objects/5c/*',
            '.git/objects/5d/*',
            '.git/objects/5f/*',
            '.git/objects/61/*',
            '.git/objects/64/*',
            '.git/objects/66/*',
            '.git/objects/67/*',
            '.git/objects/68/*',
            '.git/objects/6e/*',
            '.git/objects/6f/*',
            '.git/objects/71/*',
            '.git/objects/75/*',
            '.git/objects/78/*',
            '.git/objects/7a/*',
            '.git/objects/7b/*',
            '.git/objects/7d/*',
            '.git/objects/82/*',
            '.git/objects/83/*',
            '.git/objects/85/*',
            '.git/objects/86/*',
            '.git/objects/8c/*',
            '.git/objects/8f/*',
            '.git/objects/91/*',
            '.git/objects/93/*',
            '.git/objects/94/*',
            '.git/objects/96/*',
            '.git/objects/9b/*',
            '.git/objects/9d/*',
            '.git/objects/9e/*',
            '.git/objects/9f/*',
            '.git/objects/a1/*',
            '.git/objects/a2/*',
            '.git/objects/a3/*',
            '.git/objects/a8/*',
            '.git/objects/a9/*',
            '.git/objects/ac/*',
            '.git/objects/ae/*',
            '.git/objects/af/*',
            '.git/objects/b1/*',
            '.git/objects/b3/*',
            '.git/objects/b5/*',
            '.git/objects/b6/*',
            '.git/objects/b7/*',
            '.git/objects/b8/*',
            '.git/objects/b9/*',
            '.git/objects/bc/*',
            '.git/objects/c1/*',
            '.git/objects/c3/*',
            '.git/objects/c5/*',
            '.git/objects/c7/*',
            '.git/objects/c9/*',
            '.git/objects/ca/*',
            '.git/objects/cd/*',
            '.git/objects/d0/*',
            '.git/objects/d1/*',
            '.git/objects/d2/*',
            '.git/objects/d3/*',
            '.git/objects/d5/*',
            '.git/objects/d7/*',
            '.git/objects/d9/*',
            '.git/objects/db/*',
            '.git/objects/dc/*',
            '.git/objects/dd/*',
            '.git/objects/e4/*',
            '.git/objects/e6/*',
            '.git/objects/e7/*',
            '.git/objects/e8/*',
            '.git/objects/ed/*',
            '.git/objects/ee/*',
            '.git/objects/ef/*',
            '.git/objects/f2/*',
            '.git/objects/f4/*',
            '.git/objects/f6/*',
            '.git/objects/f8/*',
            '.git/objects/fc/*',
            '.git/objects/fd/*',
            '.git/objects/pack/*',
            '.git/refs/heads/*',
            '.git/refs/remotes/origin/*',
            '.idea/*',
            '.idea/inspectionProfiles/*']}

install_requires = \
['Humre>=0.2.0,<0.3.0',
 'addict>=2.4.0,<3.0.0',
 'bson>=0.5.10,<0.6.0',
 'orjson>=3.8.0,<4.0.0',
 'pampy>=0.3.0,<0.4.0',
 'pendulum>=2.1.2,<3.0.0',
 'psycopg[binary]>=3.1.2,<4.0.0',
 'pydantic>=1.10.1,<2.0.0',
 'sqlglot>=5.3.1,<6.0.0',
 'sqlmodel>=0.0.8,<0.0.9',
 'toml>=0.10.2,<0.11.0']

setup_kwargs = {
    'name': 'python-connect',
    'version': '0.1.0',
    'description': 'python database manipulation with advanced features',
    'long_description': None,
    'author': 'Thompson',
    'author_email': '51963680+thompson0012@users.noreply.github.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.10,<3.11',
}


setup(**setup_kwargs)
